Page MenuHomeFreeBSD

loader: zfs reader should only store devdesc in f_devdata
ClosedPublic

Authored by tsoome on Aug 14 2022, 9:52 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jun 3, 10:29 AM
Unknown Object (File)
Sat, May 25, 7:53 PM
Unknown Object (File)
May 15 2024, 11:47 PM
Unknown Object (File)
May 15 2024, 9:51 PM
Unknown Object (File)
May 15 2024, 9:51 PM
Unknown Object (File)
May 15 2024, 3:08 PM
Unknown Object (File)
May 11 2024, 2:31 PM
Unknown Object (File)
May 6 2024, 2:57 PM

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 46946
Build 43835: arc lint + arc unit

Event Timeline

Seems reasonable, modulo the dangling XXX comment...

stand/libsa/zfs/zfs.c
1612

????

For me, when booting (amd64, BIOS boot) off ZFS, this clears the 'BTX halted' showstopper during early bootup.
UFS is not involved, installer media is unplugged.

Some console spam, from ffs_subr.c, is shown. Hyperlink to photo: https://plak.infrapuin.nl/selif/20220815135942copy1.jpg

In my automated testing, I don't see any of the reported spam and it works. I'll commit this shortly and let tsoome followup to deal with the 'when do we free' it issue that's still present, but mostly harmless for the environments that we'll be running in.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 15 2022, 6:08 PM
This revision was automatically updated to reflect the committed changes.